> For the complete documentation index, see [llms.txt](https://docs.supademo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.supademo.com/customize/personalize/variables-and-tokens/variables-in-embeds.md).

# Variables in Embeds

In addition to sharing a personalized Supademo via link, you can embed the personalized Supademo in various platforms.&#x20;

After adding your dynamic variables throughout your Supademo and creating a personalized link either for a single viewer or many viewers, all you have to do is replace "demo" with "embed" in the URL obtained from the previous step.

{% hint style="success" %}
Adding a variable to the Showcases' URL parameter will personalize every Supademo within the Showcase that uses the same variable (i.e. {{name}} or {{country}})\
\
Simply add variables by wrapping any text in "{{ }}" and detected variable tokens will be displayed in the **Personalized Link** section of your share page.
{% endhint %}

**Example 1 (Link for single viewer):**&#x20;

* <https://app.supademo.com/demo/yourdemoID/personalizedLinkId> 👇 <https://app.supademo.com/embed/yourdemoID/personalizedLinkId&#x20>;

**Example 2 (Link for many viewers):**

* <https://app.supademo.com/demo/yourdemoID?v\\_name=NAME\\&v\\_company=COMPANY> 👇
* <https://app.supademo.com/embed/yourdemoID?v\\_name=NAME\\&v\\_company=COMPANY>

{% hint style="warning" %}
Note that no email notifications will be sent in embeds to prevent spamming of user inboxes.
{% endhint %}

{% @supademo/embed demoId="cluldjvfd0wog12me8lzxeqz8" url="<https://app.supademo.com/demo/cluldjvfd0wog12me8lzxeqz8>" %}

Alternatively, you can also click on Share in any demo and modify the generated code for “Embeds” to represent the variables you want to inject into your Supademo:

```
<div style="position: relative; padding-bottom: calc(37.947674418604656% + 42px); height: 0;"><iframe src="https://app.supademo.com/embed/yourdemoId" allow="clipboard-write" frameborder="0" webkitallowfullscreen="true" mozallowfullscreen="true" allowfullscreen style="position: absolute; top: 0; left: 0; width: 100%; height: 100%;"></iframe></div>
```

Change the above to 👇🏻

```
<div style="position: relative; padding-bottom: calc(37.947674418604656% + 42px); height: 0;"><iframe src="https://app.supademo.com/embed/yourdemoId?v_name=NAME&v_company=COMPANY" allow="clipboard-write" frameborder="0" webkitallowfullscreen="true" mozallowfullscreen="true" allowfullscreen style="position: absolute; top: 0; left: 0; width: 100%; height: 100%;"></iframe></div>
```

{% hint style="info" %}

{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.supademo.com/customize/personalize/variables-and-tokens/variables-in-embeds.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
